<?php defined('SYSPATH') or die('No direct access allowed.');
/**
 * Widget of acknowledged service problems for tactical overview
 *
 * @package   NINJA
 * @author    op5 AB
 * @license   GPL
 */
require_once Kohana::find_file('widgets', 'tac_services_common/tac_services_base');
class tac_services_acknowledged_Widget extends tac_services_Base {
	public function index()
	{
		$view_path = Kohana::find_file('widgets', 'tac_services_common/view');

		$this->setup();

		$result = $this->service($this->arguments['group'], false, $this->state, nagstat::SERVICE_STATE_ACKNOWLEDGED | nagstat::SERVICE_HARD_STATE | nagstat::SERVICE_CHECKS_ENABLED | nagstat::HOST_NO_SCHEDULED_DOWNTIME, $this->order, $this->field, 'servicegroup');

		if (isset($result["errors"])) {
			$view_path = Kohana::find_file('widgets', 'tac_services_common/error_view');
		}
		else {
			$this->js[] = 'js/tac_services_acknowledged';
		}
		require($view_path);
	}
}
